@echo off
@color 0C
title H266MOD-DukeDC Compability Enabler
cls

:top
echo.
echo         ͻ
echo          H266MOD-DukeDC Compability Enabler 
echo         ͼ
echo                   By Hendricks266 
echo                  
echo.
echo This batch file extracts the contents of your DukeDC.grp
echo or DukeDC.zip and verifies the contents in order to ensure
echo proper functioning of HDukeDC.
echo.
pause
echo.
echo In order for this to work you must have the following
echo files in the same directory:
echo.
echo HDukeDC.bat (This Batch File)
echo HDukeDC.zip
echo DukeDC.grp OR DukeDC.zip
echo KE.H266
echo KG.H266
echo UZ.H266
echo.
echo If you do not have these files in the same directory you
echo will get errors.
echo.
echo Note: If you have both DukeDC.zip and DukeDC.grp in your
echo directory then this batch file will default to the GRP.
echo.
echo Press any key to begin installation . . .
pause > NUL
if not exist DukeDC.grp goto grpcheck
if not exist DukeDC.zip goto zipcheck
if not exist KE.H266 goto noke
if not exist KG.H266 goto nokg
if not exist UZ.H266 goto nouz
goto start

:grpcheck
if exist DukeDC.zip goto start
goto nogrp

:zipcheck
if exist DukeDC.grp goto start
goto nozip

:start
cls
echo.
echo Please Wait . . .
@set directory=%cd%
@md HDCTEMP
@md HDCTEMP\HDCGRP
@copy /q KG.H266 HDCTEMP\HDCGRP\KG.exe
@copy /q HDukeDC.zip HDCTEMP\HDCGRP\HDukeDC.zip
@copy /q UZ.H266 HDCTEMP\HDCGRP\UZ.exe
@cd HDCTEMP\HDCGRP
@UZ.exe e HDukeDC.zip *.*
@del /Q HDukeDC.zip
@del /Q UZ.exe
@cd %directory%
if exist DukeDC.grp goto grp
if exist DukeDC.zip goto zip
goto error

:grp
@copy /q KE.H266 HDCTEMP\KE.exe
@copy /q DukeDC.grp HDCTEMP\DukeDC.grp
@cd HDCTEMP
@KE.exe DukeDC.grp *.*
@del /Q KE.exe
@del /Q DukeDC.grp
goto almost

:zip
@copy /q UZ.H266 HDCTEMP\UZ.exe
@copy /q DukeDC.zip HDCTEMP\DukeDC.zip
@cd HDCTEMP
@UZ.exe e DukeDC.zip *.*
@del /Q DukeDC.zip
goto almost

:almost

@if not exist DEMO.MAP goto incomplete
@move /q DEMO.MAP HDCGRP\DEMO.MAP

@if not exist DUKEDC1.MAP goto incomplete
@move /q DUKEDC1.MAP HDCGRP\DUKEDC1.MAP

@if not exist DUKEDC2.MAP goto incomplete
@move /q DUKEDC2.MAP HDCGRP\DUKEDC2.MAP

@if not exist DUKEDC3.MAP goto incomplete
@move /q DUKEDC3.MAP HDCGRP\DUKEDC3.MAP

@if not exist DUKEDC3.MAP goto incomplete
@move /q DUKEDC3.MAP HDCGRP\DUKEDC3.MAP

@if not exist DUKEDC4.MAP goto incomplete
@move /q DUKEDC4.MAP HDCGRP\DUKEDC4.MAP

@if not exist DUKEDC5.MAP goto incomplete
@move /q DUKEDC5.MAP HDCGRP\DUKEDC5.MAP

@if not exist DUKEDC6.MAP goto incomplete
@move /q DUKEDC6.MAP HDCGRP\DUKEDC6.MAP

@if not exist DUKEDC7.MAP goto incomplete
@move /q DUKEDC7.MAP HDCGRP\DUKEDC7.MAP

@if not exist DUKEDC8.MAP goto incomplete
@move /q DUKEDC8.MAP HDCGRP\DUKEDC8.MAP

@if not exist DUKEDC9.MAP goto incomplete
@move /q DUKEDC9.MAP HDCGRP\DUKEDC9.MAP

@if not exist DUKEDCSL.MAP goto incomplete
@move /q DUKEDCSL.MAP HDCGRP\DUKEDCSL.MAP

@if not exist CINEOV3.ANM goto incomplete
@move /q CINEOV3.ANM HDCGRP\CINEOV3.ANM

@if not exist RADLOGO.ANM goto incomplete
@move /q RADLOGO.ANM HDCGRP\RADLOGO.ANM

@if not exist TILES009.ART goto incomplete
@move /q TILES009.ART HDCGRP\TILES009.ART

@if not exist TILES014.ART goto incomplete
@move /q TILES014.ART HDCGRP\TILES014.ART

@cd HDCGRP

@KG.exe DukeDC.grp *.*
@cd %directory%
@move /q HDCTEMP\HDCGRP\DukeDC.grp HDukeDC.grp
goto finish

:finish
cls
echo.
echo Success!
echo.
echo You do not need to run this batch file again unless you
echo accidentally delete your new HDukeDC.grp.
echo.
echo To play H266MOD now, run H266MOD.bat.
echo.
pause
goto end

:nogrp
cls
echo.
echo Error: You don't have DukeDC.grp in this directory.
pause
goto end

:noke
cls
echo.
echo Error: You don't have KE.H266 in this directory.
pause
goto end

:nokg
cls
echo.
echo Error: You don't have KG.H266 in this directory.
pause
goto end

:nouz
cls
echo.
echo Error: You don't have UZ.H266 in this directory.
pause
goto end

:incomplete
cls
echo.
echo Error: The contents of DukeDC.grp\DukeDC.zip are incomplete.
echo Please create a fresh DukeDC.grp\DukeDC.zip with all the required contents.
pause
goto end

:error
cls
echo.
echo Unknown Error. Make sure you have all required files in this directory.
pause
goto end

:end
@del /Q HDCTEMP\HDCGRP\*.*
@del /Q HDCTEMP\*.*
@rd /Q HDCTEMP\HDCGRP
@rd /Q HDCTEMP
color 07
title Command Prompt
goto :eof
